import { HttpErrorResponse } from '@angular/common/http';
import { ActivatedRoute } from '@angular/router';
import { LoadingService } from './loading.service';
export declare class UtilsService {
    private route;
    private loadingService;
    redirectParams: any;
    private paramsSubject;
    constructor(route: ActivatedRoute, loadingService: LoadingService);
    objectToQuerystring(params: any): string;
    setRedirect(on: any, callback: any): void;
    getRedirect(): any;
    redirect(on: any, params: any, navigate?: any): any;
    setParams(params: any): void;
    getParams(): import("rxjs").Observable<any>;
    filter(options: any): any[];
    handleError(error: HttpErrorResponse): import("rxjs").Observable<never>;
}
